/[pub]/test/html-webhacc/cc-style.css
Suika

Diff of /test/html-webhacc/cc-style.css

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.11 by wakaba, Sun Nov 4 09:15:02 2007 UTC revision 1.13 by wakaba, Wed Nov 7 12:20:44 2007 UTC
# Line 30  h2 { Line 30  h2 {
30    font-size: 150%;    font-size: 150%;
31  }  }
32    
33  h3 {  h3, th {
34    font-weight: bolder;    font-weight: bolder;
35    font-family: sans-serif;    font-family: sans-serif;
36    font-size: 100%;    font-size: 100%;
# Line 137  q:before, q:after { Line 137  q:before, q:after {
137    background-repeat: no-repeat;    background-repeat: no-repeat;
138  }  }
139    
140    #levels-table tbody th:first-child {
141      padding-left: 42px;
142      min-height: 32px;
143      background-image: url(large-stop);
144      background-position: 5px center;
145      background-repeat: no-repeat;
146      text-align: left;
147    }
148    
149  #identifiers dd, #terms dd {  #identifiers dd, #terms dd {
150    margin-left: 20px;    margin-left: 20px;
151    padding-left: 20px;    padding-left: 20px;
# Line 155  q:before, q:after { Line 164  q:before, q:after {
164  }  }
165    
166  #document-errors dd.should, #error-description .should h3,  #document-errors dd.should, #error-description .should h3,
167  #result-para.SEE-RESULT {  #result-para.SEE-RESULT, #levels-table #level-s th {
168    background-image: url(large-alert);    background-image: url(large-alert);
169  }  }
170    
171    #levels-table #level-w th {
172      background-image: url(large-info);
173    }
174    
175  #document-errors dd.unsupported {  #document-errors dd.unsupported {
176    margin-left: 60px;    margin-left: 60px;
177    border: red 0.2em solid;    border: red 0.2em solid;
# Line 166  q:before, q:after { Line 179  q:before, q:after {
179  }  }
180    
181  #document-errors dd.unsupported, #error-description .unsupported h3,  #document-errors dd.unsupported, #error-description .unsupported h3,
182  #result-para.uncertain {  #result-para.uncertain, #levels-table #level-unsupported th {
183    background-image: none;    background-image: none;
184  }  }
185    
# Line 217  code { Line 230  code {
230    white-space: pre-wrap;    white-space: pre-wrap;
231  }  }
232    
233    .example {
234      background-color: #ececff;
235    }
236    
237    pre.example {
238      margin-left: 1em;
239      margin-right: 1em;
240      padding: 0.2em 0.5em;
241    }
242    
243    .example.bad {
244      background-color: #fff7f7;
245    }
246    
247    code.example.bad {
248      color: inherit;
249      background-color: #ffeeee;
250    }
251    
252    h3 code.example.bad {
253      color: orangered;
254      background-color: transparent;
255    }
256    
257    pre.example::before {
258      content: "Example";
259      display: block;
260      color: #b0b0ff;
261      background-color: transparent;
262      font-weight: bolder;
263      font-family: sans-serif;
264    }
265    
266    pre.example.html::before {
267      content: "HTML Example";
268    }
269    
270    pre.example.xml::before {
271      content: "XML Example";
272    }
273    
274    pre.example.manifest::before {
275      content: "Cache Manifest Example";
276    }
277    
278    pre.example.bad::before {
279      content: "Bad Example";
280      color: #ffc1c1;
281    }
282    
283    pre.example.bad.html::before {
284      content: "HTML Bad Example";
285    }
286    
287    pre.example.bad.xml::before {
288      content: "XML Bad Example";
289    }
290    
291    pre.example.bad.manifest::before {
292      content: "Cache Manifest Bad Example";
293    }
294    
295  .rfc2119 {  .rfc2119 {
296    border-style: none;    border-style: none;
297    text-transform: lowercase;    text-transform: lowercase;
# Line 250  code { Line 325  code {
325    empty-cells: show;    empty-cells: show;
326  }  }
327    
328  .uncertain td, p.uncertain {  .uncertain td, p.uncertain, #level-unsupported, #level-unsupported th {
329    background-color: #e1e1ff;    background-color: #e1e1ff;
330    color: black;    color: black;
331  }  }
332    
333  .FAIL, .uncertain td.FAIL {  .FAIL, .uncertain td.FAIL, #level-m, #level-m th {
334    background-color: #ffcece;    background-color: #ffcece;
335    color: black;    color: black;
336  }  }
337    
338  .SEE-RESULT, .uncertain td.SEE-RESULT {  .SEE-RESULT, .uncertain td.SEE-RESULT, #level-s, #level-s th {
339    background-color: #e1e1ff;    background-color: #e1e1ff;
340    color: black;    color: black;
341  }  }
342    
343  .PASS {  .PASS, #level-w, #level-w th {
344    background-color: #ddffdd;    background-color: #ddffdd;
345    color: black;    color: black;
346  }  }

Legend:
Removed from v.1.11  
changed lines
  Added in v.1.13

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24